Summary: PostScript filter for Chinese
Name: ttfprint
Version: 0.9
Release: 13
Copyright: Distributable
Group: System Environment/Base
Source: ftp://linux.cis.nctu.edu.tw/chinese/print/%{name}-%{version}.tar.bz2
Patch0: ttfprint-0.9-gcc33.patch
Patch1: ttfprint-0.9-lvaluecastfix.patch
BuildRequires: freetype-devel >= 1.3.1
Prereq: /bin/mkdir /bin/ls /bin/sh
Buildroot: /var/tmp/%{name}-root

%description
Ttfprint makes a Postscript file from a Chinese text file with
Chinese TrueType fonts.

%prep
%setup
%patch0 -p1 -b .gcc33
%patch1 -p1 -b .lvaluecast

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
%{__install} ttfprint $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README USAGE.TXT
/usr/bin/*

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr 01 2004 Leon Ho <llch@redhat.com>
- fix for cast-as-lvalue (law@redhat.com)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 0.9-9
- fix build with gcc 3.3

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Fri Jul 12 2002 Yukihiro Nakai <ynakai@redhat.com>
- Change permission (#67817)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release.
